Bug 189943 - Expandable Tree Ignores Left/Right Arrow Keys
Expandable Tree Ignores Left/Right Arrow Keys
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 19:54 EDT by Chris Spencer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-05 16:01:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Spencer 2006-04-25 19:54:13 EDT
Description of problem:
In a view that uses an expandable/collapsable tree, such as the Navigator panel,
select a node in the tree and notice that you cannot expand or collapse a folder
node by using the left or right arrow keys.

Version-Release number of selected component (if applicable):
Eclipse 3.1.2
Comment 1 Ben Konrath 2006-11-22 16:11:12 EST
Does this happen with FC-6? Sorry for the delay.
Comment 2 Chris Spencer 2006-11-22 16:28:47 EST
I haven't tried FC6, so I don't know. I think this might actually be a GTK
issue, since the default tree widget in GTK doesn't seem to support navigating
via the arrow keys.
Comment 3 Ben Konrath 2006-11-22 16:35:12 EST
Oh Ok. Is it possible to make a tree widget that does support navigating with
the arrow keys. If so, you should file a bug in the eclipse bugzilla about this
(https://bugs.eclipse.org/bugs/). They might want you test with one of their
downloads and a proprietary VM before they accept the bug.

If this sounds good to you, than I think we can close the bug as UPSTREAM. Let
me know. Thanks.

Note You need to log in before you can comment on or make changes to this bug.